<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginEnd="@dimen/common_padding">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/condition_filter"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/filter_switch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="end"
                android:text="@string/hide"
                android:textColor="@color/title_background_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginEnd="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/daily_payment_filter"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/common_padding_large"
                    android:layout_weight="2"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/payment_type"
                        android:textSize="@dimen/text_size_small" />

                    <TextView
                        android:id="@+id/payment_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="@string/all"
                        android:textColor="@color/text_color" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="3"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/payment_sub_type"
                        android:textSize="@dimen/text_size_small" />

                    <TextView
                        android:id="@+id/payment_sub_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="@string/all"
                        android:textColor="@color/text_color" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/payment_creator"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/create_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:gravity="end"
                    android:text="@string/all"
                    android:textColor="@color/text_color" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/payment_sketch"
                    android:textSize="@dimen/text_size_small" />

                <EditText
                    android:id="@+id/payment_description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_small" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/finance_depart_verify"
                    android:textSize="@dimen/text_size_small" />

                <RadioGroup
                    android:id="@+id/finance_depart_verify"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/common_padding_heavy"
                    android:layout_marginStart="@dimen/common_padding_large"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/finance_all"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/all"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/finance_wait"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:checked="true"
                        android:gravity="center"
                        android:text="@string/verify_wait"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/finance_passed"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/verify_passed"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/finance_reject"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/verify_reject"
                        android:textColor="@color/check_text_view_select" />

                </RadioGroup>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/general_manager_verify"
                    android:textSize="@dimen/text_size_small" />

                <RadioGroup
                    android:id="@+id/general_manager_verify"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/common_padding_heavy"
                    android:layout_marginStart="@dimen/common_padding_large"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/general_all"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/all"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/general_wait"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:checked="true"
                        android:gravity="center"
                        android:text="@string/verify_wait"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/general_passed"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/verify_passed"
                        android:textColor="@color/check_text_view_select" />

                    <RadioButton
                        android:id="@+id/general_reject"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:background="@drawable/style_selector_sift"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/verify_reject"
                        android:textColor="@color/check_text_view_select" />

                </RadioGroup>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <com.pan_american.android.util.CommitButton
                android:id="@+id/commit"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_margin="@dimen/common_padding" />

        </LinearLayout>

    </LinearLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/daily_payment_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/common_padding"
        android:layout_weight="1"
        app:srlEnablePreviewInEditMode="true">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/daily_payment_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never" />

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>